TTF_SetFontLanguage(3)

NAME
TTF_SetFontLanguage - Set language to be used for text shaping by a font.

HEADER FILE
Defined in SDL3_ttf/SDL_ttf.h

SYNOPSIS
#include "SDL3_ttf/SDL_ttf.h"

bool TTF_SetFontLanguage(TTF_Font *font, const char *language_bcp47);

DESCRIPTION
If SDL_ttf was not built with HarfBuzz support, this function returns false.

This updates any TTF_Text
 objects using this font.

FUNCTION PARAMETERS

font
    the font to specify a language for.

language_bcp47
    a null-terminated string containing the desired language's BCP47 code. Or null to reset the value.

RETURN VALUE
Returns true on success or false on failure; call SDL_GetError() for more information.

THREAD SAFETY
This function should be called on the thread that created the font.

AVAILABILITY
This function is available since SDL_ttf 3.0.0.